-- Copyright (c) DbVis Software AB. All Rights Reserved.
/*
 A sample script to select some arbitrary numbers from the payments/rental data.
 Use for creating charts (etc).
*/ 
SELECT
    COUNTRY,  
    SUM(PAYMENT.AMOUNT)                                         AS "Total Paid",
    ROUND(AVG(PAYMENT.AMOUNT), 2)                               AS "Avg Paid",
    COUNT(DISTINCT RENTAL.RENTAL_ID)                            AS "Rentals",
    COUNT(DISTINCT FILM.FILM_ID)                                AS "Films",
    COUNT(DISTINCT PAYMENT.CUSTOMER_ID)                         AS "Customers",
    SUM(DATEDIFF(DAY, RENTAL.RENTAL_DATE, RENTAL.RETURN_DATE))  AS "Total Duration"
    FROM PAYMENT
	JOIN CUSTOMER ON PAYMENT.CUSTOMER_ID = CUSTOMER.CUSTOMER_ID
	JOIN ADDRESS ON CUSTOMER.ADDRESS_ID = ADDRESS.ADDRESS_ID
	JOIN CITY ON ADDRESS.CITY_ID = CITY.CITY_ID
        JOIN COUNTRY ON CITY.COUNTRY_ID = COUNTRY.COUNTRY_ID
        JOIN RENTAL ON PAYMENT.RENTAL_ID = RENTAL.RENTAL_ID
        JOIN INVENTORY ON RENTAL.INVENTORY_ID = INVENTORY.INVENTORY_ID
        JOIN FILM ON INVENTORY.FILM_ID = FILM.FILM_ID

	GROUP BY COUNTRY ORDER BY COUNTRY;